Page MenuHomeFreeBSD

WIP: Heptapod for FreeBSD
AbandonedPublic

Authored by arrowd on Jul 22 2020, 12:55 PM.

Details

Summary

This is a WIP to bring Heptapod, a Gitlab fork, to FreeBSD.

For now devel/heptapod-runner port, slave to devel/gitlab-runner, is added. More to come.

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 33736
Build 30965: arc lint + arc unit

Event Timeline

arrowd created this revision.
  • Add devel/heptapod-shell, slave to devel/gitlab-shell

I already prepared Gitlab 13.2:
https://gitlab.fechner.net/mfechner/Gitlab/-/commits/13.2

But I have to wait for an approval from sunpoet as I modify one of his ports.
Could you please base this revision on the 13.2 upgrade of gitlab?

I already prepared Gitlab 13.2:
https://gitlab.fechner.net/mfechner/Gitlab/-/commits/13.2

But I have to wait for an approval from sunpoet as I modify one of his ports.
Could you please base this revision on the 13.2 upgrade of gitlab?

Sure. Once you commit it, I'll rebase this diff on top of that.

devel/heptapod-runner/pkg-descr
1

This file needs s/GitLab/Heptapod/g, no?

devel/heptapod-runner/pkg-descr
1

Since it is simply a rebranded GitLab runner, I thought it would be better to first describe what GitLab runner is and then add that "Heptapod runner is the same thing for Mercirual".

You think it is less clear than your variant?

devel/heptapod-runner/pkg-descr
1

I would start with: it is a fork of gitlab runner with mercurial support and then you can describe it more in detail.
Most users maybe read only the first sentence.

arrowd marked 2 inline comments as done.
  • Fix pkg-descr of devel/heptapod-runner.
  • Merge branch 'master' into heptapod
  • Use gitlab-runner UID for heptapod-runner port.
  • Chase update of gitlab ports.
  • Remove "Created by:" field.
  • Add heptapod-workhorse port.
  • Set PORTREVISION to 0 in master ports.

Thanks, looks fine for me.

This revision is now accepted and ready to land.Jul 27 2020, 5:09 AM

@mfechner there is one more port to go - the fork of www/gitlab-ce itself. I hope, it would follow the same style as these ports.

  • Merge branch 'master' into heptapod
  • Update to 0.15.0
This revision now requires review to proceed.Aug 1 2020, 8:40 AM

Now that www/gitlab-ce got updated to 13.2, the Heptapod latest release is again one version behind. I'll wait for Heptapod to catch up with vanilla Gitlab and then proceed with the port.

  • Update heptapod ports to 0.16.0 and make www/heptapod a slave port.
  • Rebase onto newest devel/gitlab-runner.

Looks fine for me. I already work on gitlab 13.4.0 which maybe breaks this slave port?

If each gitlab upgrade breaks the slave port, do you think it is ok doing this as a slave port or are they now quicker to get the necessary changes merged quicker to hexapod?

This revision is now accepted and ready to land.Sep 22 2020, 9:22 PM

I will include required changes to my ports with the upgrade for gitlab-ce for 13.4, so this should made it more simple for you to add your ports.

Looks fine for me. I already work on gitlab 13.4.0 which maybe breaks this slave port?

If each gitlab upgrade breaks the slave port, do you think it is ok doing this as a slave port or are they now quicker to get the necessary changes merged quicker to hexapod?

I'll be dog-fooding this for some time, so let's just see.

I will include required changes to my ports with the upgrade for gitlab-ce for 13.4, so this should made it more simple for you to add your ports.

That will be awesome, thanks!

That will be awesome, thanks!

the update is committed, I hope I got included everything that is required for my ports.

The Heptapod project lags a bit behind the vanilla GitHub versions, so the slave port approach is not feasible there.

Creating and maintaining a separate port for Heptapod is too large task for me.